ChangeLog
=========

1.16.1 - released 2024-04-02
----------------------------

* add EUR account for paying membership fees to member's page

1.16 - released 2024-02-09
--------------------------

* handle # character at weird positions in DokuWiki users.auth.php
* unify -mlsync and -mlcheck handling of member predicates
* handle unicode characters with 3-byte UTF-8 representation correctly
* calculate expected income with respect to discounts granted
* report soon-expiring members in the summary emails
* report mailing lists check status in summary emails

1.15.1 - released 2024-01-02
----------------------------

* fix calculating historical membership fee (was erroneously based on
  current date)
* fix showing basic information without MLs loaded

1.15 - released 2024-12-24
--------------------------

* increase membership fees starting 2024-01 (specification.rkt)
* add support for explicit fee amounts for specified period

1.14 - released 2024-12-06
--------------------------

* add support for dynamic terminal size
* use table cell formatting instead of paragraph formatting everywhere
* fix sqlite3 database locking issue
* allow limiting -fees output to -active only

1.13
----

* add dokuwiki problems to summary emails
* handle more SEPA payments

1.12
----

* switch to eggs: srfi-1, sqlite3
* semi-automatic export for brmdoor
* improvements of summary emails for council
* redirect dokuwiki plugin to login page if not logged in
* sync council and revision mailing lists

1.11
----

* add support for CC in emails
* update manual page
* setup new cron jobs

1.10
----

* direct access of mailman 3 database

1.9
---

* implement support for mailman 3
* add total debt to long-term debtors listings

1.8
---

* remove old compatibility static web pages generator
* update documentation
* update Fio fetcher to handle new limits imposed by the bank
* output plain list of active members (used by BrmBar project)

1.7
---

* include current month in stats
* right-alignment in table cells
* functionality improvements of dokuwiki plugin
* checking council group between dokuwiki and members database

1.6
---

* dokuwiki plugin
* delete generated files for destroyed members
* verify dokuwiki users information

1.5
---

* improved table renderer
* show membership fees and payments balances history
* improved generator of static web pages

1.4
---

* vim and joe syntax highlighting support
* improved Fio bank statement fetcher and merger

1.3
---

* organizational bodies membership

1.2
---

* split configuration and action command-line options
* support for git annotate
* show suspended members that are about to expire
* optimized utf-8 support

1.1
---

* support for suppressing output (used in cron jobs)
* sorted members in notifications
* report missing keys in member files
* internal ML membership synchronization

1.0
---

This was the first oficially released version which contains all the
functionality required to take over the original solution.

* parsing and interpreting member files with specified grammar
* basic support for start/stop periods
* command-line arguments support with integrated help display
* static builds
* cards export for BrmDoor project
* data validation and error reporting
* improved manual credit handling
* member id validation and generation
* export of gnuplot-compatible statistics
* static web data generation
* table formatting with color support
* member fees and payments accounting
* support for multiple join/destroy periods
* period-based exchange rates lookups
* unpaired transactions handling
* internal ML membership check
* notifications for both council and members with debts
* universal Fio bank account statement fetcher
* preliminary SEPA payment parsing
* programming modules documentation
* git status support
* sample configuration
* manual page
